( cd usr/lib64 ; rm -rf libgweather.so.1 )
( cd usr/lib64 ; ln -sf libgweather.so.1.6.9 libgweather.so.1 )
( cd usr/lib64 ; rm -rf libgweather.so )
( cd usr/lib64 ; ln -sf libgweather.so.1.6.9 libgweather.so )

if [ -x usr/bin/gconftool-2 ]; then
GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults"    usr/bin/gconftool-2 --makefile-install-rule    etc/gconf/schemas/gweather.schemas >/dev/null 2>&1
fi
# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi
